# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html)

## v0.0.5

- Add 429 as Heavy load error along with svg
- Add 503 as Service unavailable error along with svg

## v0.0.4

- Adds in 500 as an acceptable predefined `code`
- Updates `code` type to correctly accept any string
- Adds in prop splatting for the container element
  - Useful for assigning data attributes for integration tests
  - Replaces `style` prop with React predefined style (no change)

## v0.0.3

- Fixes wrong typing on inline style prop

## v0.0.2

- Adds inline style prop
- Removes error string literal and expects entire label
- Move styles out to dedicated file

## v0.0.1

- Initial package setup.
  - Adds error views for `403`, `404`.
