import React from 'react';
declare type StandardErrorCodes = 403 | 404 | 408 | 429 | 500 | 503;
declare type ErrorCode = StandardErrorCodes | 'ChunkLoadError' | string;
export interface ErrorPageProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'title' | 'image'> {
    code?: ErrorCode;
    image?: React.FunctionComponent<React.SVGProps<SVGSVGElement>>;
    label?: string;
    message?: string | React.ReactChild;
    title: string | React.ReactChild;
}
export declare function ErrorPage({ code, image, label, message, title, ...props }: ErrorPageProps): JSX.Element;
export {};
